
QGIS Application - Bug report #15182

MeasureTool gets broken when the DestinationCrs changes

2016-06-30 01:59 AM - Alvaro Huarte

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23121

Description

MeasureTool fails when the user changes the destination crs of the MapCanvas while the user is digitizing a measure.

The MeasureDialog shows wrong measures and the digitised geometries disappear of the map.

Associated revisions

Revision 8eeceb0d - 2016-07-06 02:34 AM - Nyall Dawson

Merge pull request #3262 from ahuarte47/Issue_MeasureDialog

[Bugfix] Fix MeasureTool when DestinationCRS changes (fixes #15182)

History

#1 - 2016-06-30 02:02 AM - Alvaro Huarte

- Pull Request or Patch supplied changed from No to Yes

I propose this PR ( https://github.com/qgis/QGIS/pull/3262 ) to fix this bug

#2 - 2016-07-05 05:34 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"8eeceb0dc7af14779d5530b7d2b2ac372a677098".

#3 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
